//
//  TrackFinder.hpp
//  DB_Track
//
//  Created by Baranyai David on 2018. 06. 05..
//

#ifndef TrackFinder_hpp
#define TrackFinder_hpp

#include <stdio.h>
#include <fstream>
#include <vector>
#include <string>
#include <sstream>
#include "SQLHandler.hpp"
#include "TH2D.h"
#include "TCanvas.h"

class TrackFinder
{
public:
    TrackFinder();
    ~TrackFinder();
    bool FindAndDrawNextTrack(TH2D*, TCanvas*);
    
private:
    std::vector<Hit> track_data[4]; //4 chambers
    
    SQLHandler sqlHandler;
};

#endif /* TrackFinder_hpp */
